package corona.logik;

import java.awt.Graphics;

public class Proband implements Moveable, HasSizeAndPosition,Paintable{
	Vertex position;
	Vertex size;
	Vertex velocity=new Vertex(0,0);
	InfektionsStatus status = InfektionsStatus.gesund;

	int infectedSince = 0;
	
	public Proband(Vertex position, Vertex size, Vertex velocity) {
		super();
		this.position = position;
		this.size = size;
		this.velocity = velocity;
	}

	public Proband(Vertex position, Vertex size) {
		this(position, size, new Vertex(0, 0));
	}
	public Proband(Vertex position) {
		this(position, new Vertex(5, 5));
	}
	
	@Override
	public Vertex getSize() {
		return size;
	}

	@Override
	public Vertex getPosition() {
		return position;
	}

	@Override
	public void move() {
		if (status!=InfektionsStatus.tot)
			position.add(velocity);
		
	}

	@Override
	public void paintMeTo(Graphics g) {
		g.setColor(status.color);
		g.fillOval(getX(),getY(), getWidth(), getHeight());
	}

}
