package corona.gui;

import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.Timer;

import corona.logik.Simulation;

public class ShowSimulation extends JPanel{
	Simulation sim;

	public ShowSimulation(Simulation sim) {
		super();
		this.sim = sim;
		var t = new Timer(30, (ev)->{
			sim.move();
			repaint();
		});
		t.start();
	}
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(sim.getWidth(),sim.getHeight());
	}
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		sim.paintMeTo(g);
	}
	public static void main(String[] args) {
		var p = new ShowSimulation(new Simulation());
		var f = new JFrame("Simulation");
		f.add(p);
		f.pack();
		f.setVisible(true);
	}
}
