package corona.logik;

public interface HasSizeAndPosition extends HasSize,HasPosition{
	default boolean isAbove(HasSizeAndPosition that) {
		return getY()+getHeight()<that.getY();
	}
	default boolean isUnderneath(HasSizeAndPosition that) {
		return that.isAbove(this);
	}
	default boolean isLeft(HasSizeAndPosition that) {
		return getX()+getWidth()<that.getX();
	}
	default boolean isRight(HasSizeAndPosition that) {
		return that.isLeft(this);
	}
	default boolean touches(HasSizeAndPosition that) {
		return !(isLeft(that)||isRight(that)||isAbove(that)||isUnderneath(that));
	}
}
